## smb4k 1.1.2

=== CMakeLists.txt ===
project( smb4k )

set( VERSION_MAJOR 1 )
set( VERSION_MINOR 1 )
set( VERSION_PATCH 2 )

set( VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH} )

cmake_minimum_required( VERSION 2.6 )

set( QT_MIN_VERSION 4.7.0 )
set( KDE_MIN_VERSION 4.8.0 ) 
find_package( KDE4 REQUIRED )

include(KDE4Defaults)
include(MacroLibrary)
include(FindGettext)
include(ConvenienceLibs.cmake)
include(ConfigureChecks.cmake)

# Disallow in-source builds
# macro_ensure_out_of_source_build( "Smb4K requires an out of source build. Please create a separate build directory and
# run 'cmake [options] <path_to_source_directory>' there." )

add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

include_directories( ${KDE4_INCLUDES}
                     ${KDE4_INCLUDE_DIR}
                     ${QT_INCLUDES}
                     ${CMAKE_CURRENT_SOURCE_DIR}
                     ${CMAKE_CURRENT_BINARY_DIR} )

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/config.h )

add_subdirectory( core )
add_subdirectory( helpers )
add_subdirectory( smb4k )
add_subdirectory( data )
add_subdirectory( doc )

########### Plasmoid ####################

option( INSTALL_PLASMOID "Install plasmoid" ON )

if ( ${KDE_VERSION} VERSION_LESS 4.10.0 )
  set( INSTALL_PLASMOID false )
endif ( ${KDE_VERSION} VERSION_LESS 4.10.0 )

if ( INSTALL_PLASMOID )
  message( STATUS "Installing plasmoid (-DINSTALL_PLASMOID=false to disable)" )
  add_subdirectory( plasmoid )
elseif ( NOT INSTALL_PLASMOID )
  if ( ${KDE_VERSION} VERSION_LESS 4.10.0 )
    message( STATUS "Not installing plasmoid (KDE version 4.10 or later required)" )
  else ( ${KDE_VERSION} VERSION_LESS 4.10.0 )
    message( STATUS "Not installing plasmoid (-DINSTALL_PLASMOID=true to enable)" )
  endif ( ${KDE_VERSION} VERSION_LESS 4.10.0 )
endif( INSTALL_PLASMOID )

########### Header files ################

option( INSTALL_HEADER_FILES "Install header files" OFF )

if ( INSTALL_HEADER_FILES )
  message( STATUS "Installing core header files (-DINSTALL_HEADER_FILES=false to disable)" )
elseif ( NOT INSTALL_HEADER_FILES )
  message( STATUS "Not installing core header files (-DINSTALL_HEADER_FILES=true to enable)" )
endif( INSTALL_HEADER_FILES )

########### install files ###############



########### CPack part ##################

set( CPACK_PACKAGE_VERSION_MAJOR ${VERSION_MAJOR} )
set( CPACK_PACKAGE_VERSION_MINOR ${VERSION_MINOR} )
set( CPACK_PACKAGE_VERSION_PATCH ${VERSION_PATCH} )

set( CPACK_SOURCE_PACKAGE_FILE_NAME smb4k-${VERSION}
     CACHE INTERNAL "source package base name" )
set( CPACK_SOURCE_GENERATOR TBZ2 )
set( CPACK_SOURCE_IGNORE_FILES
     "~$"
     "^${PROJECT_SOURCE_DIR}/Messages.sh"
     "^${PROJECT_SOURCE_DIR}/po/scripts/"
     "^${PROJECT_SOURCE_DIR}/*.kdev4" 
     "^${PROJECT_SOURCE_DIR}.*/.svn/" 
     "^${PROJECT_SOURCE_DIR}/build/" )

include( CPack )
find_package(Msgfmt REQUIRED)
find_package(Gettext REQUIRED)
add_subdirectory( po )
add_subdirectory( doc-translations )

=== core/CMakeLists.txt ===

include_directories(
  ${KDE4_INCLUDES}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES} )


########### next target ###############

set( smb4kcore_LIB_SRCS 
  smb4kauthinfo.cpp
  smb4kbasicnetworkitem.cpp
  smb4kbookmark.cpp
  smb4kbookmarkhandler.cpp
  smb4kbookmarkhandler_p.cpp
  smb4kbookmarkobject.cpp
  smb4kcustomoptions.cpp
  smb4kcustomoptionsmanager.cpp
  smb4kcustomoptionsmanager_p.cpp
  smb4kdeclarative.cpp
  smb4kdeclarative_p.cpp
  smb4kglobal.cpp
  smb4kglobal_p.cpp
  smb4khomesshareshandler.cpp
  smb4khomesshareshandler_p.cpp
  smb4khost.cpp
  smb4kmounter.cpp
  smb4kmounter_p.cpp
  smb4knetworkobject.cpp
  smb4knotification.cpp
  smb4kpreviewer.cpp
  smb4kpreviewer_p.cpp
  smb4kprint.cpp
  smb4kprint_p.cpp
  smb4kprocess.cpp
  smb4kscanner.cpp
  smb4kscanner_p.cpp
  smb4ksearch.cpp
  smb4ksearch_p.cpp
  smb4kshare.cpp
  smb4ksolidinterface.cpp
  smb4ksolidinterface_p.cpp
  smb4ksynchronizer.cpp
  smb4ksynchronizer_p.cpp
  smb4kwalletmanager.cpp
  smb4kwalletmanager_p.cpp
  smb4kworkgroup.cpp )

kde4_add_kcfg_files( smb4kcore_LIB_SRCS smb4ksettings.kcfgc )

kde4_add_library( smb4kcore SHARED ${smb4kcore_LIB_SRCS} )

target_link_libraries( smb4kcore
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTTEST_LIBRARY}
  ${QT_QTDECLARATIVE_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS}
  ${KDE4_SOLID_LIBS} )

set_target_properties( smb4kcore PROPERTIES VERSION 4.1.0 SOVERSION 4 )
install( TARGETS smb4kcore DESTINATION ${LIB_INSTALL_DIR} )


########### install files ###############

install( FILES smb4k.kcfg DESTINATION ${KCFG_INSTALL_DIR} )
install( FILES smb4k.notifyrc  DESTINATION ${DATA_INSTALL_DIR}/smb4k )

if ( INSTALL_HEADER_FILES )
  install( FILES
    smb4kauthinfo.h
    smb4kbasicnetworkitem.h
    smb4kbookmark.h
    smb4kbookmarkhandler.h
    smb4kbookmarkobject.h
    smb4kcustomoptions.h
    smb4kcustomoptionsmanager.h
    smb4kdeclarative.h
    smb4kglobal.h
    smb4khomesshareshandler.h
    smb4khost.h
    smb4kmounter.h
    smb4knetworkobject.h
    smb4knotification.h
    smb4kpreviewer.h
    smb4kprint.h
    smb4kprocess.h
    smb4kscanner.h
    smb4ksearch.h
    smb4kshare.h
    smb4ksolidinterface.h
    smb4ksynchronizer.h
    smb4kwalletmanager.h
    smb4kworkgroup.h
    DESTINATION ${INCLUDE_INSTALL_DIR} )
endif ( INSTALL_HEADER_FILES )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( de_smb4k/smb4k )
add_subdirectory( nl_smb4k/smb4k )
add_subdirectory( pt_BR_smb4k/smb4k )
add_subdirectory( sv_smb4k/smb4k )
add_subdirectory( uk_smb4k/smb4k )

=== helpers/CMakeLists.txt ===
set( smb4kmounthelper_SRCS smb4kmounthelper.cpp )

kde4_add_executable( mounthelper ${smb4kmounthelper_SRCS} )
target_link_libraries( mounthelper ${KDE4_KDECORE_LIBS} ${KDE4_KIO_LIBS} )
install( TARGETS mounthelper DESTINATION ${LIBEXEC_INSTALL_DIR} )

kde4_install_auth_helper_files( mounthelper net.sourceforge.smb4k.mounthelper root )
kde4_install_auth_actions( net.sourceforge.smb4k.mounthelper smb4kmounthelper.actions )

=== plasmoid/CMakeLists.txt ===
project( smb4k-qml )

install( DIRECTORY package/
         DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/smb4k-qml 
         PATTERN .svn EXCLUDE )
 
install( FILES package/metadata.desktop
         DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-smb4k-qml.desktop)

add_subdirectory( plugin )

=== po/CMakeLists.txt ===
add_subdirectory( bg )
add_subdirectory( bs )
add_subdirectory( ca )
add_subdirectory( cs )
add_subdirectory( da )
add_subdirectory( de )
add_subdirectory( en_GB )
add_subdirectory( eo )
add_subdirectory( es )
add_subdirectory( et )
add_subdirectory( fi )
add_subdirectory( fr )
add_subdirectory( ga )
add_subdirectory( gl )
add_subdirectory( hu )
add_subdirectory( is )
add_subdirectory( it )
add_subdirectory( ja )
add_subdirectory( lt )
add_subdirectory( mai )
add_subdirectory( mr )
add_subdirectory( nb )
add_subdirectory( nds )
add_subdirectory( nl )
add_subdirectory( pl )
add_subdirectory( pt )
add_subdirectory( pt_BR )
add_subdirectory( ro )
add_subdirectory( ru )
add_subdirectory( sk )
add_subdirectory( sv )
add_subdirectory( tr )
add_subdirectory( ug )
add_subdirectory( uk )
add_subdirectory( zh_CN )
add_subdirectory( zh_TW )

=== smb4k/CMakeLists.txt ===

include_directories(
  ${KDE4_INCLUDES}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/../core
  ${CMAKE_CURRENT_BINARY_DIR}/../core )

add_subdirectory( icons )
add_subdirectory( configdlg )
add_subdirectory( tooltips )
add_subdirectory( browser )
add_subdirectory( sharesview )
add_subdirectory( search )


########### next target ###############

set( smb4k_SRCS
  main.cpp
  smb4kbookmarkmenu.cpp
  smb4ksharesmenu.cpp
  smb4kmainwindow.cpp
  smb4ksystemtray.cpp )

kde4_add_app_icon( smb4k_SRCS "${KDE4_ICON_INSTALL_DIR}/oxygen/*/apps/smb4k.png" )
kde4_add_kdeinit_executable( smb4k ${smb4k_SRCS} )

target_link_libraries( kdeinit_smb4k
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  smb4kcore
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS} )

install( TARGETS kdeinit_smb4k ${INSTALL_TARGETS_DEFAULT_ARGS} )
install( TARGETS smb4k ${INSTALL_TARGETS_DEFAULT_ARGS} )

########### install files ###############

install( PROGRAMS  smb4k.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES  smb4k_shell.rc DESTINATION ${DATA_INSTALL_DIR}/smb4k )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== plasmoid/plugin/CMakeLists.txt ===
set( smb4kqmlplugin_LIB_SRC smb4kqmlplugin.cpp )

kde4_add_library( smb4kqml SHARED ${smb4kqmlplugin_LIB_SRC} )

target_link_libraries( smb4kqml
  smb4kcore
  ${QT_QTCORE_LIBRARY}
  ${QT_QTDECLARATIVE_LIBRARY}
  ${KDE4_KDECORE_LIBS} )

install( TARGETS smb4kqml DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/smb4k-qml/contents/plugin/ )
install( FILES qmldir DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/smb4k-qml/contents/plugin/ )

=== po/mai/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( mai ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/sv/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( sv ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== smb4k/configdlg/CMakeLists.txt ===

include_directories( ${KDE4_INCLUDES} ${KDE4_INCLUDE_DIR} ${QT_INCLUDES}  )


########### next target ###############

set(smb4kconfigdialog_LIB_SRCS
   smb4kauthoptionspage.cpp
   smb4kconfigdialog.cpp
   smb4kcustomoptionspage.cpp
   smb4klaptopsupportoptionspage.cpp
   smb4knetworkoptionspage.cpp
   smb4krsyncoptionspage.cpp
   smb4ksambaoptionspage.cpp
   smb4kshareoptionspage.cpp
   smb4kuserinterfaceoptionspage.cpp )

kde4_add_plugin( smb4kconfigdialog ${smb4kconfigdialog_LIB_SRCS} )

target_link_libraries( smb4kconfigdialog
  ${KDE4_KDECORE_LIBS}
  smb4kcore
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KIO_LIBS} )

install(TARGETS smb4kconfigdialog DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

=== smb4k/sharesview/CMakeLists.txt ===

include_directories( 
  ${KDE4_INCLUDES} 
  ${KDE4_INCLUDE_DIR} 
  ${QT_INCLUDES} 
  ${CMAKE_CURRENT_SOURCE_DIR}/smb4k 
  ${CMAKE_CURRENT_BINARY_DIR}/smb4k )


########### next target ###############

set(smb4ksharesview_PART_SRCS
   smb4kshareslistview.cpp
   smb4ksharesiconview.cpp
   smb4ksharesview_part.cpp
   smb4kshareslistviewitem.cpp
   smb4ksharesiconviewitem.cpp )

kde4_add_plugin( smb4ksharesview ${smb4ksharesview_PART_SRCS})

target_link_libraries( smb4ksharesview  
  ${KDE4_KDECORE_LIBS} 
  smb4kcore 
  smb4ktooltips
  ${KDE4_KPARTS_LIBS} )

install(TARGETS smb4ksharesview DESTINATION ${PLUGIN_INSTALL_DIR} )


########### install files ###############

install( FILES  smb4ksharesview_part.rc
         DESTINATION ${DATA_INSTALL_DIR}/smb4k )

=== debian/changelog ===
smb4k (1.1.2-1) unstable; urgency=low

  * New upstream release
    - Fixes "CVE-2014-2581 - credentials cache leak" (Closes: #742816)
    - Fixes "[smb4k] Doesn't automount shares anymore" (Closes: #710933)
    - Fixes "smb4k does not work on Version 7.1 (wheezy) 32 bits, can't open
    the network" (Closes: #717497)

 -- Mark Purcell <msp@debian.org>  Sun, 15 Jun 2014 16:27:38 +1000

=== debian/control ===
Source: smb4k
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.4.0),
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.5
Homepage: http://smb4k.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/smb4k/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/smb4k/trunk/

Package: smb4k
Architecture: kfreebsd-any linux-any
Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
         samba-common-bin (>= 2:3.4.7~dfsg),
         smbclient (>= 2:3.4.7~dfsg),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sudo
Suggests: kwalletmanager
Description: Samba (SMB) share advanced browser for KDE
 Smb4K is an advanced network neighborhood browser for the KDE Software
 Compilation and a frontend to the programs of the Samba software suite.
 .
 Features:
  Scanning for (active) workgroups, hosts, and shares
  Support of the CIFS (Linux) and SMBFS (FreeBSD) file system
  Mounting and unmounting of shares (using the KAuth framework)
  Access to the files of a mounted share using a file manager or terminal
  Auto-detection of external mounts and unmounts
  Remounting of previously used shares on program start
  Miscellaneous infos about remote network items and mounted shares
  Network search
  WINS server support
  Preview of the contents of a share
  Several methods to look up the initial list of workgroups and domains
  Default login
  Special handling of homes shares
  Ability to bookmark favorite shares and organize them in groups
  System tray widget
  Support of advanced Samba options
  Support of printer shares
  KWallet support
  Synchronization of a remote share with a local copy and vice versa
  Ability to define custom options for individual servers and shares
  Laptop support through the Solid hardware device framework

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with kde

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_PLASMOID=false

=== debian/watch ===
version=3
http://sf.net/smb4k/smb4k-(.+)\.(?:tar\.xz) debian svn-upgrade

## smb4k 1.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 project( smb4k )
 
 set( VERSION_MAJOR 1 )
-set( VERSION_MINOR 1 )
-set( VERSION_PATCH 2 )
+set( VERSION_MINOR 2 )
+set( VERSION_PATCH 1 )
 
 set( VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH} )
 
-cmake_minimum_required( VERSION 2.6 )
+cmake_minimum_required( VERSION 2.8.9 FATAL_ERROR )
 
 set( QT_MIN_VERSION 4.7.0 )
 set( KDE_MIN_VERSION 4.8.0 ) 
@@ -18,9 +18,11 @@
 include(ConvenienceLibs.cmake)
 include(ConfigureChecks.cmake)
 
-# Disallow in-source builds
-# macro_ensure_out_of_source_build( "Smb4K requires an out of source build. Please create a separate build directory and
-# run 'cmake [options] <path_to_source_directory>' there." )
+# Make sure that Smb4K builds when several custom targets
+# with the same name exist (happens in the po directory).
+if ( EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po" )
+  set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON)
+endif( EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po" )
 
 add_definitions( ${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -28,11 +28,15 @@
   smb4kmounter_p.cpp
   smb4knetworkobject.cpp
   smb4knotification.cpp
+  smb4knotification_p.cpp
   smb4kpreviewer.cpp
   smb4kpreviewer_p.cpp
   smb4kprint.cpp
   smb4kprint_p.cpp
   smb4kprocess.cpp
+  smb4kprofilemanager.cpp
+  smb4kprofilemanager_p.cpp
+  smb4kprofileobject.cpp
   smb4kscanner.cpp
   smb4kscanner_p.cpp
   smb4ksearch.cpp
@@ -46,7 +50,15 @@
   smb4kwalletmanager_p.cpp
   smb4kworkgroup.cpp )
 
-kde4_add_kcfg_files( smb4kcore_LIB_SRCS smb4ksettings.kcfgc )
+if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
+  kde4_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc smb4kmountsettings_linux.kcfgc)
+elseif(${CMAKE_HOST_SYSTEM_NAME} MATCHES "FreeBSD")
+  kde4_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc smb4kmountsettings_freebsd.kcfgc)
+elseif(${CMAKE_HOST_SYSTEM_NAME} MATCHES "NetBSD")
+  kde4_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc smb4kmountsettings_freebsd.kcfgc)
+else ()
+  kde4_add_kcfg_files( smb4kcore_LIB_SRCS smb4ksettings.kcfgc )
+endif ()
 
 kde4_add_library( smb4kcore SHARED ${smb4kcore_LIB_SRCS} )
 
@@ -60,7 +72,7 @@
   ${KDE4_KIO_LIBS}
   ${KDE4_SOLID_LIBS} )
 
-set_target_properties( smb4kcore PROPERTIES VERSION 4.1.0 SOVERSION 4 )
+set_target_properties( smb4kcore PROPERTIES VERSION 4.2.0 SOVERSION 4 )
 install( TARGETS smb4kcore DESTINATION ${LIB_INSTALL_DIR} )
 
 
@@ -88,6 +100,8 @@
     smb4kpreviewer.h
     smb4kprint.h
     smb4kprocess.h
+    smb4kprofilemanager.h
+    smb4kprofileobject.h
     smb4kscanner.h
     smb4ksearch.h
     smb4kshare.h

=== data/CMakeLists.txt ===
install( FILES smb4ksettings.upd
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )
install( PROGRAMS
  authentication1.sh
  network1.sh
  userinterface1.sh
  samba1.sh
  network2.sh
  samba2.sh
  userinterface2.sh
  userinterface3.sh
  userinterface4.sh
  samba3.sh
  DESTINATION ${KCONF_UPDATE_INSTALL_DIR} )

=== doc-translations/CMakeLists.txt ===
add_subdirectory( de_smb4k/smb4k )
add_subdirectory( et_smb4k/smb4k )
add_subdirectory( nl_smb4k/smb4k )
add_subdirectory( pt_BR_smb4k/smb4k )
add_subdirectory( uk_smb4k/smb4k )

=== po/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
 add_subdirectory( bg )
 add_subdirectory( bs )
 add_subdirectory( ca )
+add_subdirectory( ca@valencia )
 add_subdirectory( cs )
 add_subdirectory( da )
 add_subdirectory( de )
@@ -16,12 +17,14 @@
 add_subdirectory( is )
 add_subdirectory( it )
 add_subdirectory( ja )
+add_subdirectory( ko )
 add_subdirectory( lt )
 add_subdirectory( mai )
 add_subdirectory( mr )
 add_subdirectory( nb )
 add_subdirectory( nds )
 add_subdirectory( nl )
+add_subdirectory( nn )
 add_subdirectory( pl )
 add_subdirectory( pt )
 add_subdirectory( pt_BR )

=== smb4k/CMakeLists.txt ===

include_directories(
  ${KDE4_INCLUDES}
  ${KDE4_INCLUDE_DIR}
  ${QT_INCLUDES}
  ${CMAKE_CURRENT_SOURCE_DIR}/../core
  ${CMAKE_CURRENT_BINARY_DIR}/../core )

add_subdirectory( icons )
add_subdirectory( configdlg )
add_subdirectory( tooltips )
add_subdirectory( browser )
add_subdirectory( sharesview )
add_subdirectory( search )


########### next target ###############

set( smb4k_SRCS
  main.cpp
  smb4kbookmarkmenu.cpp
  smb4kprofilesmenu.cpp
  smb4ksharesmenu.cpp
  smb4kmainwindow.cpp
  smb4ksystemtray.cpp )

kde4_add_executable( smb4k ${smb4k_SRCS} )

target_link_libraries( smb4k
  ${QT_QTCORE_LIBRARY}
  ${KDE4_KDECORE_LIBS}
  smb4kcore
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KPARTS_LIBS} )

install( TARGETS smb4k DESTINATION ${BIN_INSTALL_DIR} )

########### install files ###############

install( PROGRAMS smb4k.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( FILES smb4k_shell.rc DESTINATION ${DATA_INSTALL_DIR}/smb4k )
install( FILES smb4k.appdata.xml DESTINATION share/appdata )

kde4_install_icons( ${ICON_INSTALL_DIR} )

=== po/bg/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES( bg ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== smb4k/configdlg/CMakeLists.txt ===
--- 
+++ 
@@ -8,8 +8,9 @@
    smb4kauthoptionspage.cpp
    smb4kconfigdialog.cpp
    smb4kcustomoptionspage.cpp
-   smb4klaptopsupportoptionspage.cpp
+   smb4kmountoptionspage.cpp
    smb4knetworkoptionspage.cpp
+   smb4kprofilespage.cpp
    smb4krsyncoptionspage.cpp
    smb4ksambaoptionspage.cpp
    smb4kshareoptionspage.cpp

=== debian/changelog ===
smb4k (1.2.1-2~deb8u1) jessie-security; urgency=high

  * Non-maintainer upload.
  * Backport version 1.2.1-2 from Stretch and fix CVE-2017-8849.
    Previous versions of smb4k allowed local users to gain root privileges by
    leveraging failure to verify arguments to the mount helper DBUS service.

 -- Markus Koschany <apo@debian.org>  Sun, 20 Aug 2017 23:05:31 +0200

smb4k (1.2.1-2) unstable; urgency=medium

  * Team upload.
  * Cherry pick "Find the mount/umount commands in the helper"
    This fixes CVE-2017-8849 (Closes: 862505)

 -- Maximiliano Curia <maxy@debian.org>  Mon, 15 May 2017 12:18:34 +0200

smb4k (1.2.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Drop menu file, since smb4k already provides a .desktop file.
  * Use https for the Vcs-Browser field.
  * Bump Standards-Version to 3.9.7, no changes required.
  * Improve description; also drop the reference to the Plasma widget, since
    it has never been built, and it will not work anyway in a Plasma 5
    environment. (Closes: #763624)
  * Link in as-needed mode.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Mar 2016 16:23:25 +0100

=== debian/control ===
Source: smb4k
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: cmake (>= 2.8.0),
               debhelper (>= 9),
               kdelibs5-dev (>= 4:4.4.0),
               pkg-kde-tools (>= 0.6.4)
Standards-Version: 3.9.7
Homepage: http://smb4k.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/smb4k/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/smb4k/trunk/

Package: smb4k
Architecture: kfreebsd-any linux-any
Depends: cifs-utils (>= 2:4.1) [linux-any] | freebsd-smbfs [kfreebsd-any],
         samba-common-bin (>= 2:3.4.7~dfsg),
         smbclient (>= 2:3.4.7~dfsg),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: sudo
Suggests: kwalletmanager
Description: Samba (SMB) share advanced browser
 Smb4K is an advanced network neighborhood browser. It uses the Samba software
 suite to access the shares of the local network neighborhood. Its purpose is
 to provide a program that's easy to use and has as many features as possible.
 .
 Features:
  - Scanning for (active) workgroups, hosts, and shares
  - Support of the CIFS (Linux) and SMBFS (FreeBSD) file system
  - Mounting and unmounting of shares
  - Access to the files of a mounted share using a file manager or terminal
  - Auto-detection of external mounts and unmounts
  - Remounting of previously used shares on program start
  - Miscellaneous infos about remote network items and mounted shares
  - Network search
  - WINS server support
  - Preview of the contents of a share
  - Several methods to look up the initial list of workgroups and domains
  - Default login
  - Special handling of homes shares
  - Ability to bookmark favorite shares and organizing them in groups
  - Support of advanced Samba options
  - Support of printer shares
  - KWallet support
  - Synchronization of a remote share with a local copy and vice versa
  - Ability to define custom options for individual servers and shares
  - Laptop support through the Solid hardware device framework

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed
 
 %:
 	dh $@ --parallel --with kde

## smb4k 2.0.1

=== CMakeLists.txt ===
project(smb4k)

set(VERSION_MAJOR 2)
set(VERSION_MINOR 0)
set(VERSION_PATCH 1)

set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
cmake_policy(SET CMP0037 NEW)
cmake_policy(SET CMP0063 NEW)

find_package(ECM 1.1.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECompilerSettings)
include(KDECMakeSettings)
include(FeatureSummary)
include(ECMInstallIcons)

set(QT_MIN_VERSION "5.4.0")
set(KF5_MIN_VERSION "5.9.0")

# Qt5 modules
find_package(Qt5Core ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Gui ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Network ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5PrintSupport ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Qml ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Test ${QT_MIN_VERSION} REQUIRED)
find_package(Qt5Widgets ${QT_MIN_VERSION} REQUIRED)

# KF5 modules
find_package(KF5Auth ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Completion ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Config ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5ConfigWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5CoreAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DBusAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5DocTools ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5I18n ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5IconThemes ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5JobWidgets ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5KIO ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Notifications ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Parts ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Solid ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5Wallet ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5WindowSystem ${KF5_MIN_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)

find_package(KF5Plasma ${KF5_MIN_VERSION})
set_package_properties(KF5Plasma PROPERTIES TYPE RUNTIME)

# Make sure that Smb4K builds when several custom targets
# with the same name exist (happens in the po directory).
if (EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
  set_property(GLOBAL PROPERTY ALLOW_DUPLICATE_CUSTOM_TARGETS ON)
endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h)

# Make sure that all libraries, plugins, etc. are installed
# into the right place.
set(KDE_INSTALL_USE_QT_SYS_PATHS ON CACHE BOOLEAN "Use Qt system paths for installation" FORCE)

# Add subdirectories
add_subdirectory(core)
add_subdirectory(helpers)
add_subdirectory(smb4k)
add_subdirectory(data)
add_subdirectory(doc)

if(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
  ki18n_install(po)
  if(KF5DocTools_FOUND)
    kdoctools_install(po)
  endif(KF5DocTools_FOUND)
endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")

########### Plasmoid ####################

# option(INSTALL_PLASMOID "Install plasmoid" ON)
# 
# if (INSTALL_PLASMOID)
#   message(STATUS "Installing plasmoid (-DINSTALL_PLASMOID=false to disable)")
#   add_subdirectory(plasmoid)
# elseif (NOT INSTALL_PLASMOID)
#   message(STATUS "Not installing plasmoid (-DINSTALL_PLASMOID=true to enable)")
# endif(INSTALL_PLASMOID)

########### Header files ################

option(INSTALL_HEADER_FILES "Install header files" OFF)

if (INSTALL_HEADER_FILES)
  message(STATUS "Installing core header files (-DINSTALL_HEADER_FILES=false to disable)")
elseif (NOT INSTALL_HEADER_FILES)
  message(STATUS "Not installing core header files (-DINSTALL_HEADER_FILES=true to enable)")
endif(INSTALL_HEADER_FILES)

########### install files ###############

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
smb4k (2.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev
    - add extra-cmake-modules, qtbase5-dev, qtdeclarative5-dev,
      libkf5auth-dev, libkf5completion-dev, libkf5config-dev,
      libkf5configwidgets-dev, libkf5coreaddons-dev, libkf5dbusaddons-dev,
      libkf5doctools-dev, libkf5i18n-dev, libkf5iconthemes-dev,
      libkf5jobwidgets-dev, libkf5kio-dev, libkf5notifications-dev,
      libkf5parts-dev, libkf5plasma-dev, libkf5solid-dev, libkf5wallet-dev,
      libkf5widgetsaddons-dev, libkf5windowsystem-dev, and libkf5xmlgui-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Bump the cmake build dependency to 3.3, according to the upstream build
    system.
  * Pass -DINSTALL_HEADER_FILES=OFF to cmake, to make sure no header is
    installed.
  * Update the patches:
    - Find-the-mount-umount-commands-in-the-helper.patch: drop, backported
      from upstream
  * Remove the development symlinks, as they are not used.
  * Drop the translations of the Plasma widget, since it is not built.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Update lintian overrides.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 13:37:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,32 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
-Build-Depends: cmake (>= 2.8.0),
+Build-Depends: cmake (>= 3.3),
                debhelper (>= 9),
-               kdelibs5-dev (>= 4:4.4.0),
-               pkg-kde-tools (>= 0.6.4)
-Standards-Version: 3.9.7
+               pkg-kde-tools (>= 0.15.16),
+               extra-cmake-modules,
+               qtbase5-dev,
+               qtdeclarative5-dev,
+               libkf5auth-dev,
+               libkf5completion-dev,
+               libkf5config-dev,
+               libkf5configwidgets-dev,
+               libkf5coreaddons-dev,
+               libkf5dbusaddons-dev,
+               libkf5doctools-dev,
+               libkf5i18n-dev,
+               libkf5iconthemes-dev,
+               libkf5jobwidgets-dev,
+               libkf5kio-dev,
+               libkf5notifications-dev,
+               libkf5parts-dev,
+               libkf5plasma-dev,
+               libkf5solid-dev,
+               libkf5wallet-dev,
+               libkf5widgetsaddons-dev,
+               libkf5windowsystem-dev,
+               libkf5xmlgui-dev,
+Standards-Version: 3.9.8
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/smb4k/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/smb4k/trunk/

## smb4k 2.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,13 +2,15 @@
 
 set(VERSION_MAJOR 2)
 set(VERSION_MINOR 0)
-set(VERSION_PATCH 1)
+set(VERSION_PATCH 2)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
-cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.2 FATAL_ERROR)
 cmake_policy(SET CMP0037 NEW)
-cmake_policy(SET CMP0063 NEW)
+if(POLICY CMP0063)
+  cmake_policy(SET CMP0063 NEW)
+endif()
 
 find_package(ECM 1.1.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

=== core/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR})

set(smb4kcore_LIB_SRCS  
  smb4kauthinfo.cpp
  smb4kbasicnetworkitem.cpp
  smb4kbookmark.cpp
  smb4kbookmarkhandler.cpp
  smb4kbookmarkhandler_p.cpp
  smb4kbookmarkobject.cpp
  smb4kcustomoptions.cpp
  smb4kcustomoptionsmanager.cpp
  smb4kcustomoptionsmanager_p.cpp
  smb4kdeclarative.cpp
  smb4kdeclarative_p.cpp
  smb4kglobal.cpp
  smb4kglobal_p.cpp
  smb4khardwareinterface.cpp
  smb4khardwareinterface_p.cpp
  smb4khomesshareshandler.cpp
  smb4khomesshareshandler_p.cpp
  smb4khost.cpp
  smb4kmounter.cpp
  smb4kmounter_p.cpp
  smb4knetworkobject.cpp
  smb4knotification.cpp
  smb4knotification_p.cpp
  smb4kpreviewer.cpp
  smb4kpreviewer_p.cpp
  smb4kprint.cpp
  smb4kprint_p.cpp
  smb4kprocess.cpp
  smb4kprofilemanager.cpp
  smb4kprofilemanager_p.cpp
  smb4kprofileobject.cpp
  smb4kscanner.cpp
  smb4kscanner_p.cpp
  smb4ksearch.cpp
  smb4ksearch_p.cpp
  smb4kshare.cpp
  smb4ksynchronizer.cpp
  smb4ksynchronizer_p.cpp
  smb4kwalletmanager.cpp
  smb4kwalletmanager_p.cpp
  smb4kworkgroup.cpp)

if (${CMAKE_HOST_SYSTEM_NAME} MATCHES "Linux")
  kconfig_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc smb4kmountsettings_linux.kcfgc)
elseif(${CMAKE_HOST_SYSTEM_NAME} MATCHES "FreeBSD")
  kconfig_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc smb4kmountsettings_freebsd.kcfgc)
elseif(${CMAKE_HOST_SYSTEM_NAME} MATCHES "NetBSD")
  kconfig_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc smb4kmountsettings_freebsd.kcfgc)
else ()
  kconfig_add_kcfg_files(smb4kcore_LIB_SRCS smb4ksettings.kcfgc)
endif ()

add_library(smb4kcore SHARED ${smb4kcore_LIB_SRCS})

target_link_libraries(smb4kcore
  Qt5::Core
  Qt5::Widgets
  Qt5::Gui
  Qt5::Test
  Qt5::PrintSupport
  Qt5::Network
  Qt5::Qml
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::Auth
  KF5::IconThemes
  KF5::I18n
  KF5::Completion
  KF5::CoreAddons
  KF5::Solid
  KF5::KIOCore
  KF5::KIOWidgets
  KF5::Notifications
  KF5::JobWidgets
  KF5::Wallet
  KF5::XmlGui)

set_target_properties(smb4kcore PROPERTIES VERSION 5.0.0 SOVERSION 5)
install(TARGETS smb4kcore DESTINATION ${KDE_INSTALL_LIBDIR})


########### install files ###############

install(FILES smb4k.kcfg DESTINATION ${KDE_INSTALL_KCFGDIR})
install(FILES smb4k.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

if (INSTALL_HEADER_FILES)
  install(FILES
    smb4kauthinfo.h
    smb4kbasicnetworkitem.h
    smb4kbookmark.h
    smb4kbookmarkhandler.h
    smb4kbookmarkobject.h
    smb4kcustomoptions.h
    smb4kcustomoptionsmanager.h
    smb4kdeclarative.h
    smb4kglobal.h
    smb4khardwareinterface.h
    smb4khomesshareshandler.h
    smb4khost.h
    smb4kmounter.h
    smb4knetworkobject.h
    smb4knotification.h
    smb4kpreviewer.h
    smb4kprint.h
    smb4kprocess.h
    smb4kprofilemanager.h
    smb4kprofileobject.h
    smb4kscanner.h
    smb4ksearch.h
    smb4kshare.h
    smb4ksynchronizer.h
    smb4kwalletmanager.h
    smb4kworkgroup.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR})
endif (INSTALL_HEADER_FILES)

=== helpers/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core 
  ${CMAKE_BINARY_DIR}/core)

set(smb4kmounthelper_SRCS smb4kmounthelper.cpp)

add_executable(mounthelper ${smb4kmounthelper_SRCS})

target_link_libraries(mounthelper
  smb4kcore
  Qt5::Core
  KF5::Auth
  KF5::CoreAddons
  KF5::I18n
  KF5::KIOCore)

install(TARGETS mounthelper DESTINATION ${KAUTH_HELPER_INSTALL_DIR})

kauth_install_helper_files(mounthelper org.kde.smb4k.mounthelper root)
kauth_install_actions(org.kde.smb4k.mounthelper smb4kmounthelper.actions)

=== plasmoid/CMakeLists.txt ===
project(smb4k-qml)

install(DIRECTORY package/
        DESTINATION ${KDE_INSTALL_DATADIR}/plasma/plasmoids/smb4k-qml 
        PATTERN .svn EXCLUDE)
 
install(FILES package/metadata.desktop
        DESTINATION ${KDE_INSTALL_KSERVICES5DIR} RENAME plasma-applet-smb4k-qml.desktop)

add_subdirectory(plugin)

=== smb4k/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/configdlg
  ${CMAKE_CURRENT_BINARY_DIR}/configdlg
  ${CMAKE_SOURCE_DIR}/core 
  ${CMAKE_BINARY_DIR}/core
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR})

add_subdirectory(icons)

########### Browser dock widget ######################

set(smb4knetworkbrowser_PART_SRCS
  smb4knetworkbrowser_part.cpp
  smb4knetworkbrowser.cpp
  smb4knetworkbrowseritem.cpp
  smb4ktooltip.cpp)
  
add_library(smb4knetworkbrowser MODULE ${smb4knetworkbrowser_PART_SRCS})

target_link_libraries(smb4knetworkbrowser
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  KF5::CoreAddons
  KF5::WidgetsAddons
  KF5::XmlGui
  KF5::I18n
  KF5::IconThemes
  KF5::Parts
  KF5::WindowSystem
  smb4kcore)
  
########### Search dock widget #######################

set(smb4knetworksearch_PART_SRCS 
  smb4knetworksearch.cpp 
  smb4knetworksearch_part.cpp 
  smb4knetworksearchitem.cpp)
  
add_library(smb4knetworksearch MODULE ${smb4knetworksearch_PART_SRCS})

target_link_libraries(smb4knetworksearch 
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  KF5::CoreAddons
  KF5::WidgetsAddons
  KF5::XmlGui
  KF5::I18n
  KF5::IconThemes
  KF5::Parts
  smb4kcore)
  
########### Shares view dock widget ##################

set(smb4ksharesview_PART_SRCS
   smb4ksharesview.cpp
   smb4ksharesview_part.cpp
   smb4ksharesviewitem.cpp
   smb4ktooltip.cpp)
   
add_library(smb4ksharesview MODULE ${smb4ksharesview_PART_SRCS})

target_link_libraries(smb4ksharesview
  Qt5::Core
  Qt5::Gui
  Qt5::Widgets
  KF5::CoreAddons
  KF5::WidgetsAddons
  KF5::XmlGui
  KF5::I18n
  KF5::IconThemes
  KF5::Parts
  KF5::KIOCore
  KF5::WindowSystem
  smb4kcore)
  
########### Configuration dialog #####################

set(smb4kconfigdialog_LIB_SRCS
  smb4kconfigdialog.cpp
  smb4kconfigpageauthentication.cpp
  smb4kconfigpagecustomoptions.cpp
  smb4kconfigpagemounting.cpp
  smb4kconfigpagenetwork.cpp
  smb4kconfigpageprofiles.cpp
  smb4kconfigpagesamba.cpp
  smb4kconfigpageshares.cpp
  smb4kconfigpagesynchronization.cpp
  smb4kconfigpageuserinterface.cpp)
  
add_library(smb4kconfigdialog MODULE ${smb4kconfigdialog_LIB_SRCS})

target_link_libraries(smb4kconfigdialog
  Qt5::Core
  Qt5::Widgets
  Qt5::Gui
  KF5::WidgetsAddons
  KF5::CoreAddons
  KF5::XmlGui
  KF5::IconThemes
  KF5::I18n
  KF5::ConfigCore
  KF5::ConfigGui
  KF5::KIOCore
  KF5::KIOWidgets
  smb4kcore)

########### Main Application #########################

set(smb4k_SRCS
  main.cpp
  smb4kbookmarkmenu.cpp
  smb4kprofilesmenu.cpp
  smb4ksharesmenu.cpp
  smb4kmainwindow.cpp
  smb4ksystemtray.cpp)

add_executable(smb4k ${smb4k_SRCS})

target_link_libraries(smb4k
  Qt5::Core
  Qt5::Widgets
  KF5::CoreAddons
  KF5::DBusAddons
  KF5::XmlGui
  KF5::Parts
  KF5::ConfigWidgets
  smb4kcore)

########### install files ###############

install(TARGETS smb4knetworkbrowser DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS smb4knetworksearch DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS smb4ksharesview DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS smb4kconfigdialog DESTINATION ${KDE_INSTALL_PLUGINDIR})
install(TARGETS smb4k DESTINATION ${KDE_INSTALL_BINDIR})

install(PROGRAMS org.kde.smb4k.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

install(FILES smb4knetworkbrowser_part.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/smb4k)
install(FILES smb4knetworksearch_part.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/smb4k)
install(FILES smb4ksharesview_part.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/smb4k)
install(FILES smb4k_shell.rc DESTINATION ${KDE_INSTALL_KXMLGUI5DIR}/smb4k)

install(FILES org.kde.smb4k.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

=== plasmoid/plugin/CMakeLists.txt ===
include_directories(
  ${CMAKE_SOURCE_DIR}
  ${CMAKE_BINARY_DIR}
  ${CMAKE_SOURCE_DIR}/core
  ${CMAKE_BINARY_DIR}/core)

set(smb4kqmlplugin_LIB_SRC smb4kqmlplugin.cpp)

add_library(smb4kqml SHARED ${smb4kqmlplugin_LIB_SRC})

target_link_libraries(smb4kqml
  Qt5::Core
  Qt5::Qml
  smb4kcore)

install(TARGETS smb4kqml DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/smb4k-qml/contents/plugin/)
install(FILES qmldir DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/smb4k-qml/contents/plugin/)

=== debian/changelog ===
smb4k (2.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Lower the cmake build dependency to 3.2, as indicated by the upstream
    build system.
  * Bump Standards-Version to 4.0.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 26 Aug 2017 13:05:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
-Build-Depends: cmake (>= 3.3),
+Build-Depends: cmake (>= 3.2),
                debhelper (>= 9),
                pkg-kde-tools (>= 0.15.16),
                extra-cmake-modules,
@@ -28,7 +28,7 @@
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.1
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/smb4k/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/smb4k/trunk/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_auto_configure:
	dh_auto_configure -- -DINSTALL_PLASMOID=false -DINSTALL_HEADER_FILES=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/smb4k -name '*.so' -type l -print -delete
	# remove translations of unbuilt plasma widget
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/plasma_applet_smb4k-qml.mo

## smb4k 2.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,28 +1,33 @@
 project(smb4k)
 
 set(VERSION_MAJOR 2)
-set(VERSION_MINOR 0)
-set(VERSION_PATCH 2)
+set(VERSION_MINOR 1)
+set(VERSION_PATCH 0)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 
+# Minimum required CMake version
 cmake_minimum_required(VERSION 3.2 FATAL_ERROR)
+
+# CMake policies
 cmake_policy(SET CMP0037 NEW)
-if(POLICY CMP0063)
-  cmake_policy(SET CMP0063 NEW)
+
+if (POLICY CMP0071)
+  cmake_policy(SET CMP0071 NEW)
 endif()
+  
+# Minimum required versions of Qt5 and KF5
+set(QT_MIN_VERSION "5.5.0")
+set(KF5_MIN_VERSION "5.25.0")
 
-find_package(ECM 1.1.0 REQUIRED NO_MODULE)
+find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
-include(KDECompilerSettings)
+include(KDECompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 include(FeatureSummary)
 include(ECMInstallIcons)
-
-set(QT_MIN_VERSION "5.4.0")
-set(KF5_MIN_VERSION "5.9.0")
 
 # Qt5 modules
 find_package(Qt5Core ${QT_MIN_VERSION} REQUIRED)
@@ -52,6 +57,7 @@
 find_package(KF5WidgetsAddons ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MIN_VERSION} REQUIRED)
 find_package(KF5XmlGui ${KF5_MIN_VERSION} REQUIRED)
+find_package(KF5Crash ${KF5_MIN_VERSION} REQUIRED) 
 
 find_package(KF5Plasma ${KF5_MIN_VERSION})
 set_package_properties(KF5Plasma PROPERTIES TYPE RUNTIME)
@@ -83,19 +89,7 @@
   endif(KF5DocTools_FOUND)
 endif(EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/po")
 
-########### Plasmoid ####################
-
-# option(INSTALL_PLASMOID "Install plasmoid" ON)
-# 
-# if (INSTALL_PLASMOID)
-#   message(STATUS "Installing plasmoid (-DINSTALL_PLASMOID=false to disable)")
-#   add_subdirectory(plasmoid)
-# elseif (NOT INSTALL_PLASMOID)
-#   message(STATUS "Not installing plasmoid (-DINSTALL_PLASMOID=true to enable)")
-# endif(INSTALL_PLASMOID)
-
-########### Header files ################
-
+# Install the header files if desired
 option(INSTALL_HEADER_FILES "Install header files" OFF)
 
 if (INSTALL_HEADER_FILES)
@@ -104,6 +98,16 @@
   message(STATUS "Not installing core header files (-DINSTALL_HEADER_FILES=true to enable)")
 endif(INSTALL_HEADER_FILES)
 
+# Do not install the plasmoid if not desired
+option(INSTALL_PLASMOID "Install the plasmoid" ON)
+
+if (INSTALL_PLASMOID)
+  message(STATUS "Installing plasmoid (-DINSTALL_PLASMOID=false to disable)")
+  add_subdirectory(plasmoid)
+elseif(NOT INSTALL_PLASMOID)
+  message(STATUS "Not installing plasmoid (-DINSTALL_PLASMOID=true to enable)")
+endif(INSTALL_PLASMOID)
+
 ########### install files ###############
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== data/CMakeLists.txt ===
install(FILES smb4ksettings.upd DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})
install(PROGRAMS
  authentication1.sh
  network1.sh
  network2.sh
  samba1.sh
  samba2.sh
  samba3.sh
  userinterface1.sh
  userinterface2.sh
  userinterface3.sh
  userinterface4.sh
  userinterface5.sh
  DESTINATION ${KDE_INSTALL_KCONFUPDATEDIR})

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR smb4k)

=== smb4k/CMakeLists.txt ===
--- 
+++ 
@@ -129,6 +129,7 @@
   KF5::XmlGui
   KF5::Parts
   KF5::ConfigWidgets
+  KF5::Crash
   smb4kcore)
 
 ########### install files ###############

=== smb4k/icons/oxygen/CMakeLists.txt ===
ecm_install_icons( ICONS
                   128-apps-smb4k.png
                   64-apps-smb4k.png
                   48-apps-smb4k.png
                   32-apps-smb4k.png
                   22-apps-smb4k.png
                   16-apps-smb4k.png
                   DESTINATION  ${KDE_INSTALL_ICONDIR}
                   THEME oxygen   )

=== debian/changelog ===
smb4k (2.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add new required libkf5crash-dev build dependency.
  * Bump Standards-Version to 4.1.4, no changes required.
  * Do not ship the helper translations of the appdata file.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
    - remove --parallel for dh, as now done by default
  * Make sure to call dh_auto_configure with the kf5 buildsystem.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879434)

 -- Pino Toscano <pino@debian.org>  Wed, 11 Apr 2018 07:45:33 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: kde
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>,
 Build-Depends: cmake (>= 3.2),
-               debhelper (>= 9),
+               debhelper (>= 11~),
                pkg-kde-tools (>= 0.15.16),
                extra-cmake-modules,
                qtbase5-dev,
@@ -14,6 +14,7 @@
                libkf5config-dev,
                libkf5configwidgets-dev,
                libkf5coreaddons-dev,
+               libkf5crash-dev,
                libkf5dbusaddons-dev,
                libkf5doctools-dev,
                libkf5i18n-dev,
@@ -28,7 +29,7 @@
                libkf5widgetsaddons-dev,
                libkf5windowsystem-dev,
                libkf5xmlgui-dev,
-Standards-Version: 4.0.1
+Standards-Version: 4.1.4
 Homepage: http://smb4k.sourceforge.net/
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/smb4k/trunk/
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/smb4k/trunk/

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DINSTALL_PLASMOID=false -DINSTALL_HEADER_FILES=OFF

override_dh_auto_install:
	dh_auto_install
	# remove symlinks of private libraries
	find debian/smb4k -name '*.so' -type l -print -delete
	# remove translations of unbuilt plasma widget
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/plasma_applet_smb4k-qml.mo
	# remove unused translations of appdata file
	rm -f debian/smb4k/usr/share/locale/*/LC_MESSAGES/org.kde.smb4k.appdata.mo

## smb4k 2.1.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 set(VERSION_MAJOR 2)
 set(VERSION_MINOR 1)
-set(VERSION_PATCH 0)
+set(VERSION_PATCH 1)
 
 set(VERSION ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})

=== core/CMakeLists.txt ===
--- 
+++ 
@@ -10,12 +10,9 @@
   smb4kbookmark.cpp
   smb4kbookmarkhandler.cpp
   smb4kbookmarkhandler_p.cpp
-  smb4kbookmarkobject.cpp
   smb4kcustomoptions.cpp
   smb4kcustomoptionsmanager.cpp
   smb4kcustomoptionsmanager_p.cpp
-  smb4kdeclarative.cpp
-  smb4kdeclarative_p.cpp
   smb4kglobal.cpp
   smb4kglobal_p.cpp
   smb4khardwareinterface.cpp
@@ -25,7 +22,6 @@
   smb4khost.cpp
   smb4kmounter.cpp
   smb4kmounter_p.cpp
-  smb4knetworkobject.cpp
   smb4knotification.cpp
   smb4knotification_p.cpp
   smb4kpreviewer.cpp
@@ -35,7 +31,6 @@
   smb4kprocess.cpp
   smb4kprofilemanager.cpp
   smb4kprofilemanager_p.cpp
-  smb4kprofileobject.cpp
   smb4kscanner.cpp
   smb4kscanner_p.cpp
   smb4ksearch.cpp
@@ -82,7 +77,7 @@
   KF5::Wallet
   KF5::XmlGui)
 
-set_target_properties(smb4kcore PROPERTIES VERSION 5.0.0 SOVERSION 5)
+set_target_properties(smb4kcore PROPERTIES VERSION 5.1.0 SOVERSION 5)
 install(TARGETS smb4kcore DESTINATION ${KDE_INSTALL_LIBDIR})
 
 
@@ -97,7 +92,6 @@
     smb4kbasicnetworkitem.h
     smb4kbookmark.h
     smb4kbookmarkhandler.h
-    smb4kbookmarkobject.h
     smb4kcustomoptions.h
     smb4kcustomoptionsmanager.h
     smb4kdeclarative.h
@@ -106,13 +100,11 @@
     smb4khomesshareshandler.h
     smb4khost.h
     smb4kmounter.h
-    smb4knetworkobject.h
     smb4knotification.h
     smb4kpreviewer.h
     smb4kprint.h
     smb4kprocess.h
     smb4kprofilemanager.h
-    smb4kprofileobject.h
     smb4kscanner.h
     smb4ksearch.h
     smb4kshare.h

=== debian/changelog ===
smb4k (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Remove empty line at the end of changelog.
  * Use https in watch file, and remove the svn bits.
  * Bump Standards-Version to 4.1.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Jul 2018 14:12:43 +0200

=== debian/watch ===
version=3
https://sf.net/smb4k/smb4k-(.+)\.(?:tar\.xz)
